For the complete documentation index, see llms.txt. This page is also available as Markdown.

Project

项目信息

get
Path parameters
idinteger · int64Required

项目ID

Responses
200

OK

application/json
codeinteger · int32Optional

成功返回0,其他均为错误

msgstringOptional

发生错误时候返回的消息

sub_codestringOptional
sub_msgstringOptional
get/v1/stake/public/project/{id}
GET /v1/stake/public/project/{id} HTTP/1.1
Host: api.catfee.io
Accept: */*
200

OK

{
  "code": 1,
  "msg": "text",
  "sub_code": "text",
  "sub_msg": "text",
  "data": {
    "id": 1,
    "name_en": "text",
    "name_zh": "text",
    "resource_type": "ENERGY",
    "receiver": "text",
    "quota_staked_amount_sun": 1,
    "current_staked_amount_sun": 1,
    "min_staked_amount_sun": 1,
    "quota_quantity": 1,
    "current_quantity": 1,
    "min_quantity": 1,
    "apy": 1,
    "price": 1,
    "margin_amount_sun": 1,
    "payment_amount_sun": 1,
    "created_at": 1,
    "expired_at": 1,
    "project_type": "DELEGATION",
    "status": "CLOSED"
  }
}

Last updated